Package com.usatiuk.dhfs.repository

# Class DhfsObjectSyncGrpcClient

java.lang.Object
com.usatiuk.dhfs.repository.DhfsObjectSyncGrpcClient

All Implemented Interfaces:
  `DhfsObjectSyncGrpc`, `io.quarkus.grpc.MutinyClient<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>`, `io.quarkus.grpc.MutinyService`

@Generated(value="by Mutiny Grpc generator", comments="Source: dhfs_sync.proto") public class DhfsObjectSyncGrpcClient extends Object implements DhfsObjectSyncGrpc, io.quarkus.grpc.MutinyClient<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>

## Constructor Summary

Constructors
Constructor
Description
`DhfsObjectSyncGrpcClient(String name, io.grpc.Channel channel, BiFunction<String,MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub,MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub> stubConfigurator)`

## Method Summary

Modifier and Type
Method
Description
`io.smallrye.mutiny.Uni<CanDeleteReply>`
`canDelete(CanDeleteRequest request)`
`io.smallrye.mutiny.Uni<GetObjectReply>`
`getObject(GetObjectRequest request)`
`MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub`
`getStub()`
`DhfsObjectSyncGrpcClient`
`newInstanceWithStub(MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub stub)`
`io.smallrye.mutiny.Uni<OpPushReply>`
`opPush(OpPushRequest request)`
`io.smallrye.mutiny.Uni<PingReply>`
`ping(PingRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DhfsObjectSyncGrpcClient

public DhfsObjectSyncGrpcClient(String name, io.grpc.Channel channel, BiFunction<String,MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub,MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub> stubConfigurator)

## Method Details

### newInstanceWithStub

public DhfsObjectSyncGrpcClient newInstanceWithStub(MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub stub)

Specified by:
  `newInstanceWithStub` in interface `io.quarkus.grpc.MutinyClient<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>`

### getStub

public MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub getStub()

Specified by:
  `getStub` in interface `io.quarkus.grpc.MutinyClient<MutinyDhfsObjectSyncGrpcGrpc.MutinyDhfsObjectSyncGrpcStub>`

### opPush

public io.smallrye.mutiny.Uni<OpPushReply> opPush(OpPushRequest request)

Specified by:
  `opPush` in interface `DhfsObjectSyncGrpc`

### getObject

public io.smallrye.mutiny.Uni<GetObjectReply> getObject(GetObjectRequest request)

Specified by:
  `getObject` in interface `DhfsObjectSyncGrpc`

### canDelete

public io.smallrye.mutiny.Uni<CanDeleteReply> canDelete(CanDeleteRequest request)

Specified by:
  `canDelete` in interface `DhfsObjectSyncGrpc`

### ping

public io.smallrye.mutiny.Uni<PingReply> ping(PingRequest request)

Specified by:
  `ping` in interface `DhfsObjectSyncGrpc`